classification
Title: Fix sys.getallocatedblocks() when running on valgrind
Type: Stage: resolved
Components: Interpreter Core Versions: Python 3.4
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: piotr, pitrou, python-dev
Priority: normal Keywords: patch

Created on 2013-03-18 20:45 by piotr, last changed 2013-04-05 23:16 by pitrou. This issue is now closed.

Files
File name Uploaded Description Edit
obmalloc.patch piotr, 2013-03-18 20:45 review
Messages (3)
msg184517 - (view) Author: Piotr O┼╝arowski (piotr) Date: 2013-03-18 20:45
[Forwarding patch from Julien Cristau <julien.cristau@logilab.fr>]

_Py_AllocatedBlocks was never incremented in PyObject_Malloc(), but
would still be decremented on failure or in PyObject_Free().
msg186111 - (view) Author: Roundup Robot (python-dev) Date: 2013-04-05 23:15
New changeset 2bf154ca43c6 by Antoine Pitrou in branch 'default':
Issue #17469: Fix _Py_GetAllocatedBlocks() and sys.getallocatedblocks() when running on valgrind.
http://hg.python.org/cpython/rev/2bf154ca43c6
msg186112 - (view) Author: Antoine Pitrou (pitrou) * (Python committer) Date: 2013-04-05 23:16
Patch committed, thank you!
History
Date User Action Args
2013-04-05 23:16:26pitrousetstatus: open -> closed
versions: + Python 3.4
messages: + msg186112

resolution: fixed
stage: resolved
2013-04-05 23:15:48python-devsetnosy: + python-dev
messages: + msg186111
2013-03-19 02:40:23hayposetnosy: + pitrou
2013-03-18 20:45:08piotrcreate